CREATE OR REPLACE PROCEDURE ADD_CON_MED_PROCE (FECHA_CON in DATE,ID_CAT_CON in NUMBER ,ID_DOCTOR in NUMBER,ID_EXPEDIENTE in NUMBER,ID_SINTAMOTOLOGIA in NUMBER) IS
BEGIN
    INSERT INTO CONSULTAMEDICA (FECHA_CON,ID_CAT_CON,ID_DOCTOR,ID_EXPEDIENTE,ID_SINTAMOTOLOGIA) VALUES (FECHA_CON,ID_CAT_CON,ID_DOCTOR,ID_EXPEDIENTE,ID_SINTAMOTOLOGIA);
END;

CREATE SEQUENCE CON_MED_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger CON_MED_TRIGGER  
   before insert on "CLINICA"."CONSULTAMEDICA" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_CONSULTA" is null then 
         select CON_MED_SEQUENCE.nextval into :NEW."ID_CONSULTA" from dual; 
      end if; 
   end if; 
end;





